Package Gnumed :: Package business :: Module gmAllergy :: Class cAllergy |
[frames] | no frames]

# Class cAllergy

source code

                                       object --+
                                                |
    pycommon.gmBusinessDBObject.cBusinessDBObject --+
                                                    |
                                                   cAllergy

Represents one allergy item.

Actually, those things are really things to *avoid*. Allergy is just one of several reasons for that. See Adrian's post on gm-dev.

Another word might be Therapeutic Precautions.

Instance Methods
__setitem__(self, attribute, value) | source code
Inherited from `pycommon.gmBusinessDBObject.cBusinessDBObject`: `__del__`, `__getitem__`, `__init__`, `__str__`, `fields_as_dict`, `get_fields`, `get_patient`, `get_updatable_fields`, `is_modified`, `refetch_payload`, `same_payload`, `save`, `save_payload` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __setitem__(self, attribute, value) (Index assignment operator) | source code
Overrides: pycommon.gmBusinessDBObject.cBusinessDBObject.__setitem__